(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     35001,        984]
NotebookOptionsPosition[     33496,        928]
NotebookOutlinePosition[     33839,        943]
CellTagsIndexPosition[     33796,        940]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.7356296843174686`*^9, 3.7356296863381777`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"\[Delta]m", "'"}], "[", "a", "]"}], "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"-", 
            RowBox[{"Vm", "[", "a", "]"}]}], 
           RowBox[{
            RowBox[{"H", "[", "a", "]"}], " ", 
            RowBox[{"a", "^", "2"}]}]], "+", 
          RowBox[{"3", 
           RowBox[{
            RowBox[{"\[Phi]", "'"}], "[", "a", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Vm", "'"}], "[", "a", "]"}], "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"-", 
            RowBox[{"Vm", "[", "a", "]"}]}], "a"], "+", 
          RowBox[{
           FractionBox[
            RowBox[{"k", "^", "2"}], 
            RowBox[{
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"a", "^", "2"}]}]], 
           RowBox[{"\[Phi]", "[", "a", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Delta]DE", "'"}], "[", "a", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox[
             RowBox[{"VDE", "[", "a", "]"}], 
             RowBox[{
              RowBox[{"H", "[", "a", "]"}], 
              RowBox[{"a", "^", "2"}]}]]}], 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox[
              RowBox[{"9", 
               RowBox[{"a", "^", "2"}], 
               RowBox[{
                RowBox[{"H", "[", "a", "]"}], "^", "2"}], 
               RowBox[{"(", 
                RowBox[{"cs2", "-", "w"}], ")"}]}], 
              RowBox[{"k", "^", "2"}]]}], ")"}]}], "-", 
          RowBox[{
           FractionBox["3", "a"], 
           RowBox[{"(", 
            RowBox[{"cs2", "-", "w"}], ")"}], 
           RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
          RowBox[{"3", 
           RowBox[{"(", 
            RowBox[{"1", "+", "w"}], ")"}], 
           RowBox[{
            RowBox[{"\[Phi]", "'"}], "[", "a", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"VDE", "'"}], "[", "a", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"3", "cs2"}]}], ")"}]}], 
           FractionBox[
            RowBox[{"VDE", "[", "a", "]"}], "a"]}], "+", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"k", "^", "2"}], " ", "cs2"}], 
            RowBox[{
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"a", "^", "2"}]}]], 
           RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", "w"}], ")"}], 
           FractionBox[
            RowBox[{"k", "^", "2"}], 
            RowBox[{
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"a", "^", "2"}]}]], 
           RowBox[{"\[Phi]", "[", "a", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"k", "^", "2"}], " ", 
            RowBox[{"\[Phi]", "[", "a", "]"}]}], "\[Equal]", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3", "2"]}], 
            RowBox[{"a", "^", "2"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Om", "[", "a", "]"}], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"\[Delta]m", "[", "a", "]"}], "+", 
                 RowBox[{"3", "a", " ", 
                  FractionBox[
                   RowBox[{"H", "[", "a", "]"}], 
                   RowBox[{"k", "^", "2"}]], " ", 
                  RowBox[{"Vm", "[", "a", "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"ODE", "[", "a", "]"}], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"\[Delta]DE", "[", "a", "]"}], "+", 
                 RowBox[{"3", "a", " ", 
                  FractionBox[
                   RowBox[{"H", "[", "a", "]"}], 
                   RowBox[{"k", "^", "2"}]], " ", 
                  RowBox[{"VDE", "[", "a", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
          ",", "a"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]m", "'"}], "[", "a", "]"}], ",", 
        RowBox[{
         RowBox[{"Vm", "'"}], "[", "a", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Delta]DE", "'"}], "[", "a", "]"}], ",", 
        RowBox[{
         RowBox[{"VDE", "'"}], "[", "a", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Phi]", "'"}], "[", "a", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{
  3.735626428988515*^9, {3.735626488581668*^9, 3.7356265368925753`*^9}, {
   3.7356297359876337`*^9, 3.735629766867791*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Delta]m", "\[Prime]",
      MultilineFunction->None], "[", "a", "]"}], "\[Rule]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"9", " ", 
          SuperscriptBox["a", "2"], " ", 
          RowBox[{"ODE", "[", "a", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", "w"}], ")"}], " ", 
                RowBox[{"Vm", "[", "a", "]"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"3", " ", "w"}]}], ")"}], " ", 
                   RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
                  RowBox[{"3", " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{"\[Phi]", "[", "a", "]"}]}]}], ")"}]}]}], ")"}]}], 
            "+", 
            RowBox[{
             RowBox[{"VDE", "[", "a", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["k", "2"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["a", "2"], " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"3", " ", "w"}]}], ")"}], " ", 
                   RowBox[{"H", "[", "a", "]"}]}], "+", 
                  RowBox[{"a", " ", 
                   RowBox[{
                    SuperscriptBox["H", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
              ")"}]}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"Vm", "[", "a", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["k", "4"]}], "+", 
            RowBox[{"27", " ", 
             SuperscriptBox["a", "4"], " ", 
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{"Om", "[", "a", "]"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"Om", "[", "a", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["H", "\[Prime]",
                  MultilineFunction->None], "[", "a", "]"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["Om", "\[Prime]",
                  MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
           ")"}]}], "+", 
         RowBox[{"9", " ", 
          SuperscriptBox["a", "3"], " ", 
          RowBox[{"H", "[", "a", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SuperscriptBox["a", "2"], " ", 
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"VDE", "[", "a", "]"}], " ", 
             RowBox[{
              SuperscriptBox["ODE", "\[Prime]",
               MultilineFunction->None], "[", "a", "]"}]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"Om", "[", "a", "]"}], " ", 
                RowBox[{"\[Delta]m", "[", "a", "]"}]}], "+", 
               RowBox[{"3", " ", 
                RowBox[{"Om", "[", "a", "]"}], " ", 
                RowBox[{"\[Phi]", "[", "a", "]"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"\[Delta]DE", "[", "a", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["ODE", "\[Prime]",
                  MultilineFunction->None], "[", "a", "]"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"\[Delta]m", "[", "a", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["Om", "\[Prime]",
                  MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["a", "2"], " ", 
         SuperscriptBox["k", "2"], " ", 
         RowBox[{"H", "[", "a", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"9", " ", 
            SuperscriptBox["a", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "w"}], ")"}], " ", 
               RowBox[{"ODE", "[", "a", "]"}]}], "+", 
              RowBox[{"Om", "[", "a", "]"}]}], ")"}]}]}], ")"}]}], ")"}]}], 
      ")"}]}]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["Vm", "\[Prime]",
      MultilineFunction->None], "[", "a", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "a"}], " ", 
       RowBox[{"Vm", "[", "a", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        RowBox[{"\[Phi]", "[", "a", "]"}]}], 
       RowBox[{"H", "[", "a", "]"}]]}], 
     SuperscriptBox["a", "2"]]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Delta]DE", "\[Prime]",
      MultilineFunction->None], "[", "a", "]"}], "\[Rule]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"VDE", "[", "a", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["k", "4"]}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["a", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                RowBox[{"Om", "[", "a", "]"}]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["a", "3"], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", "w"}], ")"}], " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{"ODE", "[", "a", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["H", "\[Prime]",
                  MultilineFunction->None], "[", "a", "]"}]}], "+", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"H", "[", "a", "]"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   SuperscriptBox["a", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"3", " ", "cs2"}]}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{"ODE", "[", "a", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"cs2", "-", "w"}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["k", "2"]}], "+", 
                    RowBox[{"9", " ", 
                    SuperscriptBox["a", "2"], " ", 
                    RowBox[{"Om", "[", "a", "]"}]}]}], ")"}]}], "+", 
                  RowBox[{"3", " ", 
                   SuperscriptBox["a", "3"], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{
                    SuperscriptBox["ODE", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
              ")"}]}]}], ")"}]}], "+", 
         RowBox[{"3", " ", "a", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", "a", " ", 
             RowBox[{"Om", "[", "a", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"a", " ", 
                SuperscriptBox["k", "2"], " ", 
                RowBox[{"H", "[", "a", "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   RowBox[{"(", 
                    RowBox[{"cs2", "-", "w"}], ")"}], " ", 
                   RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"\[Delta]m", "[", "a", "]"}]}], "+", 
                    RowBox[{"3", " ", 
                    RowBox[{"\[Phi]", "[", "a", "]"}]}]}], ")"}]}]}], ")"}]}],
                "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", "w"}], ")"}], " ", 
                RowBox[{"Vm", "[", "a", "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["k", "2"], "-", 
                  RowBox[{"3", " ", 
                   SuperscriptBox["a", "2"], " ", 
                   RowBox[{"H", "[", "a", "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"H", "[", "a", "]"}]}], "+", 
                    RowBox[{"a", " ", 
                    RowBox[{
                    SuperscriptBox["H", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
                 ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"H", "[", "a", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                RowBox[{"\[Delta]DE", "[", "a", "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   SuperscriptBox["k", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"cs2", "-", "w"}], ")"}]}], "+", 
                  RowBox[{"3", " ", 
                   SuperscriptBox["a", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"3", " ", "cs2"}]}], ")"}], " ", 
                    RowBox[{"ODE", "[", "a", "]"}]}], "+", 
                    RowBox[{"a", " ", 
                    RowBox[{
                    SuperscriptBox["ODE", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
                 ")"}]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["a", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", "w"}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   SuperscriptBox["k", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", "w"}], ")"}], " ", 
                   RowBox[{"ODE", "[", "a", "]"}], " ", 
                   RowBox[{"\[Phi]", "[", "a", "]"}]}], "+", 
                  RowBox[{"a", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", "a", " ", 
                    RowBox[{"H", "[", "a", "]"}], " ", 
                    RowBox[{"Vm", "[", "a", "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["k", "2"], " ", 
                    RowBox[{"\[Delta]m", "[", "a", "]"}]}]}], ")"}], " ", 
                   RowBox[{
                    SuperscriptBox["Om", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
              ")"}]}]}], ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["a", "2"], " ", 
         SuperscriptBox["k", "2"], " ", 
         RowBox[{"H", "[", "a", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"9", " ", 
            SuperscriptBox["a", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "w"}], ")"}], " ", 
               RowBox[{"ODE", "[", "a", "]"}]}], "+", 
              RowBox[{"Om", "[", "a", "]"}]}], ")"}]}]}], ")"}]}], ")"}]}], 
      ")"}]}]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["VDE", "\[Prime]",
      MultilineFunction->None], "[", "a", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"3", " ", "cs2"}]}], ")"}], " ", 
       RowBox[{"H", "[", "a", "]"}], " ", 
       RowBox[{"VDE", "[", "a", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cs2", " ", 
          RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", "w"}], ")"}], " ", 
          RowBox[{"\[Phi]", "[", "a", "]"}]}]}], ")"}]}]}], 
     RowBox[{
      SuperscriptBox["a", "2"], " ", 
      RowBox[{"H", "[", "a", "]"}]}]]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Phi]", "\[Prime]",
      MultilineFunction->None], "[", "a", "]"}], "\[Rule]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Om", "[", "a", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"a", " ", 
               SuperscriptBox["k", "2"], " ", 
               RowBox[{"H", "[", "a", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"\[Delta]m", "[", "a", "]"}]}], "+", 
                 RowBox[{"3", " ", 
                  RowBox[{"\[Phi]", "[", "a", "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Vm", "[", "a", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox["k", "2"]}], "+", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["a", "2"], " ", 
                  RowBox[{"H", "[", "a", "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"H", "[", "a", "]"}]}], "+", 
                    RowBox[{"a", " ", 
                    RowBox[{
                    SuperscriptBox["H", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"ODE", "[", "a", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"a", " ", 
               SuperscriptBox["k", "2"], " ", 
               RowBox[{"H", "[", "a", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"2", "+", 
                    RowBox[{"3", " ", "w"}]}], ")"}], " ", 
                  RowBox[{"\[Delta]DE", "[", "a", "]"}]}], "+", 
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", "w"}], ")"}], " ", 
                  RowBox[{"\[Phi]", "[", "a", "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"VDE", "[", "a", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox["k", "2"]}], "+", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["a", "2"], " ", 
                  RowBox[{"H", "[", "a", "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"3", " ", "w"}]}], ")"}], " ", 
                    RowBox[{"H", "[", "a", "]"}]}], "+", 
                    RowBox[{"a", " ", 
                    RowBox[{
                    SuperscriptBox["H", "\[Prime]",
                    MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", 
            RowBox[{"H", "[", "a", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", "a", " ", 
                  RowBox[{"H", "[", "a", "]"}], " ", 
                  RowBox[{"VDE", "[", "a", "]"}]}], "+", 
                 RowBox[{
                  SuperscriptBox["k", "2"], " ", 
                  RowBox[{"\[Delta]DE", "[", "a", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["ODE", "\[Prime]",
                 MultilineFunction->None], "[", "a", "]"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", "a", " ", 
                  RowBox[{"H", "[", "a", "]"}], " ", 
                  RowBox[{"Vm", "[", "a", "]"}]}], "+", 
                 RowBox[{
                  SuperscriptBox["k", "2"], " ", 
                  RowBox[{"\[Delta]m", "[", "a", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["Om", "\[Prime]",
                 MultilineFunction->None], "[", "a", "]"}]}]}], ")"}]}]}], 
          ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         RowBox[{"H", "[", "a", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"9", " ", 
            SuperscriptBox["a", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "w"}], ")"}], " ", 
               RowBox[{"ODE", "[", "a", "]"}]}], "+", 
              RowBox[{"Om", "[", "a", "]"}]}], ")"}]}]}], ")"}]}], ")"}]}], 
      ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7356265125479417`*^9, 3.735626537241906*^9}, 
   3.7356297419091125`*^9, 3.7356297748495393`*^9, 3.7356325878747935`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "1072"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.735626683797333*^9, 3.7356267003081183`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"BinaryFormat", "\[Rule]", "False"}], ",", 
    RowBox[{"FormatType", "\[Rule]", "StandardForm"}], ",", 
    RowBox[{"PageWidth", "\[Rule]", "1072"}], ",", 
    RowBox[{"PageHeight", "\[Rule]", "22"}], ",", 
    RowBox[{"TotalWidth", "\[Rule]", "\[Infinity]"}], ",", 
    RowBox[{"TotalHeight", "\[Rule]", "\[Infinity]"}], ",", 
    RowBox[{"CharacterEncoding", "\[RuleDelayed]", "\<\"Unicode\"\>"}], ",", 
    RowBox[{"NumberMarks", "\[RuleDelayed]", "$NumberMarks"}], ",", 
    RowBox[{"Method", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\<\"File\"\>", ",", 
       RowBox[{"BinaryFormat", "\[Rule]", "False"}]}], "}"}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7356266850536685`*^9, 3.7356267007351694`*^9}, 
   3.7356270048119774`*^9, 3.7356297918477535`*^9, 3.735632590780974*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Delta]m", "[", "a", "]"}], "\[Rule]", "dm"}], ",", 
     RowBox[{
      RowBox[{"Vm", "[", "a", "]"}], "\[Rule]", "Vm"}], ",", 
     RowBox[{
      RowBox[{"\[Delta]DE", "[", "a", "]"}], "\[Rule]", "dDE"}], ",", 
     RowBox[{
      RowBox[{"VDE", "[", "a", "]"}], "\[Rule]", "VDE"}], ",", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "a", "]"}], "\[Rule]", "Phi"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"H", "'"}], "[", "a", "]"}], "\[Rule]", 
      RowBox[{"Hp", "[", "a", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Om", "'"}], "[", "a", "]"}], "\[Rule]", 
      RowBox[{"Omp", "[", "a", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"ODE", "'"}], "[", "a", "]"}], "\[Rule]", 
      RowBox[{"ODEp", "[", "a", "]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.735626811361925*^9, 3.7356268268181095`*^9}, {
  3.735629808848853*^9, 3.735629824567746*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "/.", "rules"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{{3.735626542248024*^9, 3.7356266308083897`*^9}, {
  3.735626708521119*^9, 3.735626719688487*^9}, {3.735626786518051*^9, 
  3.735626830597924*^9}}],

Cell["\<\
-((9*a**2*(k**2*(Vm*(1 + w) + a*(3*Phi*(1 + w) + dDE*(2 + 3*w))*H(a)) + \
VDE*(-k**2 + 3*a**2*H(a)*((2 + 3*w)*H(a) + a*Hp(a))))*ODE(a) + \
9*a**3*H(a)*(3*a**2*VDE*H(a)*ODEp(a) + k**2*(a*dDE*ODEp(a) + 2*dm*Om(a) + \
3*Phi*Om(a) + a*dm*Omp(a))) + Vm*(2*k**4 + 27*a**4*H(a)*(2*H(a)*Om(a) + \
a*Hp(a)*Om(a) + a*H(a)*Omp(a))))/(a**2*k**2*H(a)*(2*k**2 + 9*a**2*((1 + \
w)*ODE(a) + Om(a)))))\
\>", "Output",
 CellChangeTimes->{
  3.7356265442980566`*^9, {3.7356266016919374`*^9, 3.73562663133234*^9}, {
   3.7356266879081135`*^9, 3.7356267208280725`*^9}, 3.735626795967594*^9, {
   3.7356268315678225`*^9, 3.7356268422376065`*^9}, {3.735629796867009*^9, 
   3.7356298267716837`*^9}, 3.7356325944612284`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", "rules"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{3.735626736447816*^9, 3.735626834548375*^9}],

Cell["(-(a*Vm) + (k**2*Phi)/H(a))/a**2", "Output",
 CellChangeTimes->{3.735626739716913*^9, 3.7356268428778267`*^9, 
  3.735629838903122*^9, 3.7356325953712387`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
    RowBox[{"[", "3", "]"}], "]"}], "/.", "rules"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{3.735626737267871*^9, 3.735626836458042*^9}],

Cell["\<\
-((VDE*(2*k**4 + 9*a**2*(3*a**3*(1 + w)*H(a)*Hp(a)*ODE(a) + k**2*Om(a) + \
H(a)**2*(3*a**2*(2 + 3*cs2)*(1 + w)*ODE(a) + 3*a**3*(1 + w)*ODEp(a) + (cs2 - \
w)*(2*k**2 + 9*a**2*Om(a))))) + 3*a*(3*a*(a*k**2*(3*dDE*(cs2 - w) + (2*dm + \
3*Phi)*(1 + w))*H(a) - Vm*(1 + w)*(k**2 - 3*a**2*H(a)*(2*H(a) + \
a*Hp(a))))*Om(a) + H(a)*(dDE*k**2*(2*k**2*(cs2 - w) + 3*a**2*(1 + w)*((2 + \
3*cs2)*ODE(a) + a*ODEp(a))) + 3*a**2*(1 + w)*(3*k**2*Phi*(1 + w)*ODE(a) + \
a*(dm*k**2 + 3*a*Vm*H(a))*Omp(a)))))/(a**2*k**2*H(a)*(2*k**2 + 9*a**2*((1 + \
w)*ODE(a) + Om(a)))))\
\>", "Output",
 CellChangeTimes->{3.7356267407325625`*^9, 3.7356268436076813`*^9, 
  3.7356298398790483`*^9, 3.735632596190492*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
    RowBox[{"[", "4", "]"}], "]"}], "/.", "rules"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{3.7356267380278535`*^9, 3.735626838677473*^9}],

Cell["\<\
(k**2*(cs2*dDE + Phi*(1 + w)) + a*(-1 + 3*cs2)*VDE*H(a))/(a**2*H(a))\
\>", "Output",
 CellChangeTimes->{3.735626741826971*^9, 3.73562684452774*^9, 
  3.735629841286854*^9, 3.7356325970014267`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
    RowBox[{"[", "5", "]"}], "]"}], "/.", "rules"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{3.735626738737856*^9, 3.735626840887015*^9}],

Cell["\<\
(-3*((a*k**2*(3*Phi*(1 + w) + dDE*(2 + 3*w))*H(a) + VDE*(-k**2 + \
3*a**2*H(a)*((2 + 3*w)*H(a) + a*Hp(a))))*ODE(a) + (a*k**2*(2*dm + 3*Phi)*H(a) \
+ Vm*(-k**2 + 3*a**2*H(a)*(2*H(a) + a*Hp(a))))*Om(a) + a**2*H(a)*((dDE*k**2 + \
3*a*VDE*H(a))*ODEp(a) + (dm*k**2 + 3*a*Vm*H(a))*Omp(a))))/(k**2*H(a)*(2*k**2 \
+ 9*a**2*((1 + w)*ODE(a) + Om(a))))\
\>", "Output",
 CellChangeTimes->{3.735626742948162*^9, 3.7356268451580777`*^9, 
  3.7356298432895527`*^9, 3.7356325986810236`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Friedmann", " ", "equation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ha", "[", "a_", "]"}], ":=", 
   SqrtBox[
    RowBox[{
     RowBox[{"Om", "[", "a", "]"}], "+", 
     RowBox[{"ODE", "[", "a", "]"}]}]]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7356253342187953`*^9, 3.735625344922727*^9}, 
   3.735625464138838*^9, {3.7356298500075808`*^9, 3.7356298739877205`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ha", "'"}], "[", "a", "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Delta]m", "[", "a", "]"}], "\[Rule]", "dm"}], ",", 
     RowBox[{
      RowBox[{"Vm", "[", "a", "]"}], "\[Rule]", "Vm"}], ",", 
     RowBox[{
      RowBox[{"\[Delta]DE", "[", "a", "]"}], "\[Rule]", "dDE"}], ",", 
     RowBox[{
      RowBox[{"VDE", "[", "a", "]"}], "\[Rule]", "VDE"}], ",", 
     RowBox[{
      RowBox[{"\[Phi]", "[", "a", "]"}], "\[Rule]", "Phi"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Om", "'"}], "[", "a", "]"}], "\[Rule]", 
      RowBox[{"Omp", "[", "a", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"ODE", "'"}], "[", "a", "]"}], "\[Rule]", 
      RowBox[{"ODEp", "[", "a", "]"}]}]}], "}"}]}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{{3.7356269391446543`*^9, 3.735626952118843*^9}, {
  3.7356298621267123`*^9, 3.7356298915418806`*^9}}],

Cell["(ODEp(a) + Omp(a))/(2.*Sqrt(ODE(a) + Om(a)))", "Output",
 CellChangeTimes->{{3.735626940282651*^9, 3.7356269530379467`*^9}, 
   3.735627007147517*^9, {3.7356298626715064`*^9, 3.7356298922475057`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"om", " ", 
     SuperscriptBox["a", 
      RowBox[{"-", "3"}]]}], ",", "a"}], "]"}], "//", 
  "FortranForm"}]], "Input"],

Cell["(-3*om)/a**4", "Output",
 CellChangeTimes->{3.735630013117455*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "om"}], ")"}], " ", 
     SuperscriptBox["a", 
      RowBox[{
       RowBox[{"-", "3"}], 
       RowBox[{"(", 
        RowBox[{"1", "+", "w"}], ")"}]}]]}], ",", "a"}], "]"}], "//", 
  "FortranForm"}]], "Input",
 CellChangeTimes->{{3.735629974016839*^9, 3.7356300145781007`*^9}}],

Cell["-3*a**(-1 - 3*(1 + w))*(1 - om)*(1 + w)", "Output",
 CellChangeTimes->{{3.73562997887654*^9, 3.735630015417623*^9}}]
}, Open  ]]
},
WindowSize->{1280, 921},
WindowMargins->{{46, Automatic}, {11, Automatic}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 122, 2, 45, "Input"],
Cell[CellGroupData[{
Cell[705, 26, 5112, 145, 376, "Input"],
Cell[5820, 173, 18929, 488, 776, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24786, 666, 201, 4, 45, "Input"],
Cell[24990, 672, 871, 18, 101, "Output"]
}, Open  ]],
Cell[25876, 693, 1016, 28, 75, "Input"],
Cell[CellGroupData[{
Cell[26917, 725, 398, 11, 45, "Input"],
Cell[27318, 738, 710, 12, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28065, 755, 296, 9, 45, "Input"],
Cell[28364, 766, 165, 2, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28566, 773, 296, 9, 45, "Input"],
Cell[28865, 784, 693, 11, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29595, 800, 298, 9, 45, "Input"],
Cell[29896, 811, 206, 4, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30139, 820, 296, 9, 45, "Input"],
Cell[30438, 831, 484, 8, 63, "Output"]
}, Open  ]],
Cell[30937, 842, 498, 12, 84, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[CellGroupData[{
Cell[31460, 858, 956, 27, 75, "Input"],
Cell[32419, 887, 206, 2, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32662, 894, 190, 7, 51, "Input"],
Cell[32855, 903, 72, 1, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32964, 909, 391, 13, 52, "Input"],
Cell[33358, 924, 122, 1, 63, "Output"]
}, Open  ]]
}
]
*)

